Package org.apache.tomcat.util.security

## Class PrivilegedSetAccessControlContext

- java.lang.Object
- - org.apache.tomcat.util.security.PrivilegedSetAccessControlContext

- All Implemented Interfaces:
    `PrivilegedAction<Void>`

      public class PrivilegedSetAccessControlContext
      extends Object
      implements PrivilegedAction<Void>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrivilegedSetAccessControlContext​(Thread t)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Void` | `run()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrivilegedSetAccessControlContext

          public PrivilegedSetAccessControlContext​(Thread t)

  - ### Method Detail

    - #### run

          public Void run()

      Specified by:
        `run` in interface `PrivilegedAction<Void>`